Index: /other-projects/is-sheet-music-encore/trunk/Makefile
===================================================================
--- /other-projects/is-sheet-music-encore/trunk/Makefile	(revision 33588)
+++ /other-projects/is-sheet-music-encore/trunk/Makefile	(revision 33589)
@@ -1,2 +1,72 @@
+#**********
+#Quick CMD for EndToEndSystem.sh
+#**********
+ete-twentyMU-borders-quick:
+	./EndToEndSystem.sh argTest argTest0p 0
+	./EndToEndSystem.sh argTest argTest5p 5
+	./EndToEndSystem.sh argTest argTest10p 10
+	./EndToEndSystem.sh argTest argTest20p 20
+	./EndToEndSystem.sh argTest argTest40p 40
+	cd image-identification-terminal/log-EndToEnd; cat */results.txt > BatchResults.txt
+
+ete-all-borders-morph:
+	./EndToEndSystem.sh morph-border morph-border-at-0 0
+	./EndToEndSystem.sh morph-border morph-border-at-5 5
+	./EndToEndSystem.sh morph-border morph-border-at-10 10
+	./EndToEndSystem.sh morph-border morph-border-at-20 20
+	./EndToEndSystem.sh morph-border morph-border-at-40 40
+	cd image-identification-terminal/log-EndToEnd; cat morph*/results.txt > BatchResultsMorph.txt
+
+ete-all-borders-cluster:
+	./EndToEndSystem.sh cluster-border cluster-border-at-0 0
+	./EndToEndSystem.sh cluster-border cluster-border-at-5 5
+	./EndToEndSystem.sh cluster-border cluster-border-at-10 10
+	./EndToEndSystem.sh cluster-border cluster-border-at-20 20
+	./EndToEndSystem.sh cluster-border cluster-border-at-40 40
+	cd image-identification-terminal/log-EndToEnd; cat cluster*/results.txt > BatchResultsCluster.txt
+
+ete-all-borders-count:
+	./EndToEndSystem.sh count-border count-border-at-0 0
+	./EndToEndSystem.sh count-border count-border-at-5 5
+	./EndToEndSystem.sh count-border count-border-at-10 10
+	./EndToEndSystem.sh count-border count-border-at-20 20
+	./EndToEndSystem.sh count-border count-border-at-40 40
+	cd image-identification-terminal/log-EndToEnd; cat count*/results.txt > BatchResultsCount.txt
+
+#BLOCKSIZE (CHANGED MAIN COMPARISION JAVA FILE FROM 15 to BLOCKSIZE)
+
+ete-all-borders-count-BLOCKSIZED:
+	./EndToEndSystem.sh count-border count-borderBLOCKSIZED-at-0 0
+	./EndToEndSystem.sh count-border count-borderBLOCKSIZED-at-5 5
+	./EndToEndSystem.sh count-border count-borderBLOCKSIZED-at-10 10
+	./EndToEndSystem.sh count-border count-borderBLOCKSIZED-at-20 20
+	./EndToEndSystem.sh count-border count-borderBLOCKSIZED-at-40 40
+	cd image-identification-terminal/log-EndToEnd; cat count-borderBLOCKSIZED*/results.txt > BatchResultsCountBLOCKSIZED.txt
+ete-all-borders-morph-BLOCKSIZED:
+	./EndToEndSystem.sh morph-border morph-borderBLOCKSIZED-at-0 0
+	./EndToEndSystem.sh morph-border morph-borderBLOCKSIZED-at-5 5
+	./EndToEndSystem.sh morph-border morph-borderBLOCKSIZED-at-10 10
+	./EndToEndSystem.sh morph-border morph-borderBLOCKSIZED-at-20 20
+	./EndToEndSystem.sh morph-border morph-borderBLOCKSIZED-at-40 40
+	cd image-identification-terminal/log-EndToEnd; cat morph-borderBLOCKSIZED*/results.txt > BatchResultsMorphBLOCKSIZED.txt
+	
+ete-blocksize-both-ob-args:
+	./EndToEndSystem.sh count-border count-borderBLOCKSIZED-at-0 0
+	./EndToEndSystem.sh morph-border morph-borderBLOCKSIZED-at-0 0
+	
+	./EndToEndSystem.sh count-border count-borderBLOCKSIZED-at-5 5
+	./EndToEndSystem.sh morph-border morph-borderBLOCKSIZED-at-5 5
+	
+	./EndToEndSystem.sh count-border count-borderBLOCKSIZED-at-10 10
+	./EndToEndSystem.sh morph-border morph-borderBLOCKSIZED-at-10 10
+	
+	./EndToEndSystem.sh count-border count-borderBLOCKSIZED-at-20 20	
+	./EndToEndSystem.sh morph-border morph-borderBLOCKSIZED-at-20 20
+	
+	./EndToEndSystem.sh count-border count-borderBLOCKSIZED-at-40 40			
+	./EndToEndSystem.sh morph-border morph-borderBLOCKSIZED-at-40 40
+			
+	cd image-identification-terminal/log-EndToEnd; cat count-borderBLOCKSIZED*/results.txt > BatchResultsCountBLOCKSIZED.txt	
+	cd image-identification-terminal/log-EndToEnd; cat morph-borderBLOCKSIZED*/results.txt > BatchResultsMorphBLOCKSIZED.txt	
 #**********
 #Utilities/Test
@@ -10,5 +80,5 @@
 download-single:
 	./COMPX520-RUN-PNG-hi-res.sh coo1.ark:/13960/t2t448j81 1 /..
-	
+
 test-get-page-numbers-map:
 	cd java-gen-corpus; javac javaGenMapPageCountChecker.java
@@ -17,24 +87,25 @@
 
 test-gen-new-5000-map:
-	#MAKE SURE TO RUN source SETUP.bash prior to this cmd
+        #MAKE SURE TO RUN source SETUP.bash prior to this cmd
 	cd java-gen-corpus; javac javaGenMap5000ValidIDList.java
 	cd java-gen-corpus; java javaGenMap5000ValidIDList gen-500-MP-hathiFullIDList.txt gen-5000-MapList02.txt
-	
+
 test-gen-new-5000-local-map:
-	#MAKE SURE TO RUN source SETUP.bash prior to this cmd
+        #MAKE SURE TO RUN source SETUP.bash prior to this cmd
 	cd java-gen-corpus; javac javaGenMapLocal5000ValidIDList.java
 	cd java-gen-corpus; java javaGenMapLocal5000ValidIDList MapListNumPages.txt gen-5000-Local-MapList.txt
-	
-	
-run-morphology-20-test:
-	cd image-identification-terminal/log-all-hires-new/test; rm *.txt
-	cd image-identification-terminal; javac javaAccuracyCalculator.java
-	cd image-identification-terminal; javac -cp /Scratch/cpb16/opencv-3.4.2/build/bin/opencv-342.jar javaClassifierComparison.java;
-	cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MU morphology log-all-hires-new/test/log-morphology-MU-test.txt -testNew
+
+run-morphology-20-test-time:
+	time make run-morphology-20-test	
+run-morphology-20-test:		
+        #cd image-identification-terminal/log-all-hires-new/test; rm *.txt
+	cd image-identification-terminal; javac javaAccuracyCalculator.java
+	cd image-identification-terminal; javac -cp /Scratch/cpb16/opencv-3.4.2/build/bin/opencv-342.jar javaClassifierComparison.java;
+	cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/SE morphology log-all-hires-new/test/log-morphology-SE-test.txt -testNew 
 	cd image-identification-terminal; date >> log-all-hires-new/test/results.txt
 	cd image-identification-terminal; cat configClassifierComparison.properties >> log-all-hires-new/test/results.txt
-	cd image-identification-terminal; java javaAccuracyCalculator log-all-hires-new/test/log-morphology-MU-test.txt morphology-MU log-all-hires-new/test/results.txt
+	cd image-identification-terminal; java javaAccuracyCalculator log-all-hires-new/test/log-morphology-SE-test.txt morphology-SE log-all-hires-new/test/results.txt
 	cd image-identification-terminal; less log-all-hires-new/test/results.txt 
-	cd image-identification-terminal; less log-all-hires-new/test/log-morphology-MU-test.txt
+	cd image-identification-terminal; less log-all-hires-new/test/log-morphology-SE-test.txt
 
 run-morph-single:
@@ -56,5 +127,5 @@
 	make hi-res-download-map
 hi-res-download-map:
-	./FirstAndLastTest-DOWNLOADER-PNG.sh java-gen-corpus/gen-5000-Local-MapList.txt MP
+	./COMPX520-MAP-DOWNLOADER-PNG.sh MapListGen/gen-500-Local-MapList-final.txt MP
 
 ######################################
@@ -66,5 +137,5 @@
 	cd java-gen-corpus; java javaGenFullIDList hathiFull.txt gen-10000-MU-hathiFullIDList.txt MU
 	cd java-gen-corpus; java javaGenFirstAndLastTenIDList gen-10000-MU-hathiFullIDList.txt 10000 gen-10000-MU-hathiValidIDList.txt
-	#./FirstAndLastTest-DOWNLOADER-PNG.sh java-gen-corpus/gen-10000-MU-hathiValidIDList.txt MU
+#./FirstAndLastTest-DOWNLOADER-PNG.sh java-gen-corpus/gen-10000-MU-hathiValidIDList.txt MU
 
 
@@ -79,13 +150,13 @@
 
 run-cluster-corpus-hires:
-	#Compile
-	cd image-identification-terminal; javac javaAccuracyCalculator.java
-	cd image-identification-terminal; javac -cp /Scratch/cpb16/opencv-3.4.2/build/bin/opencv-342.jar javaClassifierComparison.java;
-	#Run classifier
+#Compile
+	cd image-identification-terminal; javac javaAccuracyCalculator.java
+	cd image-identification-terminal; javac -cp /Scratch/cpb16/opencv-3.4.2/build/bin/opencv-342.jar javaClassifierComparison.java;
+#Run classifier
 	cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MU cluster log-all-hires-new/log-cluster-MU.txt -allNew
 	cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/BK cluster log-all-hires-new/log-cluster-BK.txt -allNew
 	cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MP cluster log-all-hires-new/log-cluster-MP.txt -allNew
 	cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/SE cluster log-all-hires-new/log-cluster-SE.txt -allNew
-	#Calculate accuracy
+#Calculate accuracy
 	cd image-identification-terminal; echo configClassifierComparison.properties >> log-all-hires-new/results.txt 
 	cd image-identification-terminal; java javaAccuracyCalculator log-all-hires-new/log-cluster-MU.txt cluster-MU log-all-hires-new/results.txt
@@ -97,13 +168,13 @@
 
 run-count-corpus-hires:
-	#Compile
-	cd image-identification-terminal; javac javaAccuracyCalculator.java
-	cd image-identification-terminal; javac -cp /Scratch/cpb16/opencv-3.4.2/build/bin/opencv-342.jar javaClassifierComparison.java;
-	#Run classifier
+#Compile
+	cd image-identification-terminal; javac javaAccuracyCalculator.java
+	cd image-identification-terminal; javac -cp /Scratch/cpb16/opencv-3.4.2/build/bin/opencv-342.jar javaClassifierComparison.java;
+#Run classifier
 	cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MU count log-all-hires-new/log-count-MU.txt -allNew
 	cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/BK count log-all-hires-new/log-count-BK.txt -allNew
 	cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MP count log-all-hires-new/log-count-MP.txt -allNew
 	cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/SE count log-all-hires-new/log-count-SE.txt -allNew
-	#Calculate accuracy
+#Calculate accuracy
 	cd image-identification-terminal; java javaAccuracyCalculator log-all-hires-new/log-count-MU.txt count-MU log-all-hires-new/results.txt
 	cd image-identification-terminal; java javaAccuracyCalculator log-all-hires-new/log-count-BK.txt count-BK log-all-hires-new/results.txt
@@ -115,16 +186,16 @@
 #Cluster and Count
 run-combo-corpus-hires:
-	#Compile
-	cd image-identification-terminal; javac javaAccuracyCalculator.java
-	cd image-identification-terminal; javac -cp /Scratch/cpb16/opencv-3.4.2/build/bin/opencv-342.jar javaClassifierComparison.java;
-	#Run classifier
+#Compile
+	cd image-identification-terminal; javac javaAccuracyCalculator.java
+	cd image-identification-terminal; javac -cp /Scratch/cpb16/opencv-3.4.2/build/bin/opencv-342.jar javaClassifierComparison.java;
+#Run classifier
 	cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MU combo log-all-hires-new/log-combo-MU.txt -allNew
 	cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/BK combo log-all-hires-new/log-combo-BK.txt -allNew
-	#cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MP combo log-all-hires-new/log-combo-MP.txt -allNew
+#cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MP combo log-all-hires-new/log-combo-MP.txt -allNew
 	cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/SE combo log-all-hires-new/log-combo-SE.txt -allNew
-	#Calculate accuracy
+#Calculate accuracy
 	cd image-identification-terminal; java javaAccuracyCalculator log-all-hires-new/log-combo-MU.txt combo-MU log-all-hires-new/results.txt
 	cd image-identification-terminal; java javaAccuracyCalculator log-all-hires-new/log-combo-BK.txt combo-BK log-all-hires-new/results.txt
-	#cd image-identification-terminal; java javaAccuracyCalculator log-all-hires-new/log-combo-MP.txt combo-MP log-all-hires-new/results.txt
+#cd image-identification-terminal; java javaAccuracyCalculator log-all-hires-new/log-combo-MP.txt combo-MP log-all-hires-new/results.txt
 	cd image-identification-terminal; java javaAccuracyCalculator log-all-hires-new/log-combo-SE.txt combo-SE log-all-hires-new/results.txt
     #Display the results
@@ -150,5 +221,5 @@
 #**************
 run-houghlinesP-refined-corpus:
-	#cd image-identification-terminal; cd log-all; rm *.txt
+#cd image-identification-terminal; cd log-all; rm *.txt
         #Compile
 	cd image-identification-terminal; javac javaAccuracyCalculator.java
@@ -184,9 +255,9 @@
         #Display the results
 	cd image-identification-terminal; less log-all-hires/results.txt	
-	
+
 #***********
 #OLDGEN
 #***********	
-	#MUSIC, Including Sheet music
+#MUSIC, Including Sheet music
 gen-500-MU:
 	cd java-gen-corpus; javac *.java
Index: /other-projects/is-sheet-music-encore/trunk/image-identification-dev-02/#test.txt#
===================================================================
--- /other-projects/is-sheet-music-encore/trunk/image-identification-dev-02/#test.txt#	(revision 33589)
+++ /other-projects/is-sheet-music-encore/trunk/image-identification-dev-02/#test.txt#	(revision 33589)
@@ -0,0 +1,30 @@
+Running Code version: 9 Image Version: 3
+Width: 3948 Height: 5150
+Width: 3948 Height: 5150
+i:1 Height: 178
+i:1 Width: 2998
+i:2 Height: 250
+i:2 Width: 2929
+i:3 Height: 136
+i:3 Width: 3005
+i:5 Height: 193
+i:5 Width: 2998
+i:7 Height: 195
+i:7 Width: 2995
+i:9 Height: 162
+i:9 Width: 2952
+i:14 Height: 226
+i:14 Width: 2991
+i:15 Height: 178
+i:15 Width: 2992
+i:16 Height: 205
+i:16 Width: 2988
+i:22 Height: 225
+i:22 Width: 2989
+i:23 Height: 210
+i:23 Width: 2992
+i:24 Height: 146
+i:24 Width: 2828
+12
+
+Process finished with exit code 0
Index: /other-projects/is-sheet-music-encore/trunk/image-identification-dev-02/image-identification-development/src/Main.java
===================================================================
--- /other-projects/is-sheet-music-encore/trunk/image-identification-dev-02/image-identification-development/src/Main.java	(revision 33588)
+++ /other-projects/is-sheet-music-encore/trunk/image-identification-dev-02/image-identification-development/src/Main.java	(revision 33589)
@@ -111,5 +111,5 @@
     static int STANDARD_DEVIATION_THRESHOLD = 6;
     static int MINLINECOUNT                 = 40;
-    static int MAXLINEGAP              	    = 1;  //4
+    static int MAXLINEGAP              	    = 1;
     static double THRESHOLD_C               = 4;
     static double SLOPEGRADIENT			  	= 0.02; //0.02
@@ -757,5 +757,6 @@
             //!!!!!!!!!!!!!!!!!!!!!!!!!!!NOTNOT!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
             //coo.31924062612282-9.png 8   lines
-            //String default_file = hiresDirectory+ "MU/SheetMusic/mdp.39015096400919-9.png";
+            String default_file = hiresDirectory+ "MU/SheetMusic/mdp.39015096400919-9.png";
+            //String default_file = hiresDirectory+ "MU/SheetMusic/coo.31924062612282-9.png";
 
             //String default_file = hiresDirectory+ "MU/SheetMusic/mdp.39015096402204-2.png";
@@ -778,5 +779,5 @@
             //String default_file = "TestImages/SheetMusic01.png";
             //String default_file = "TestImages/SheetMusic02.png";
-            String default_file = "TestImages/vLine.png";
+            //String default_file = "TestImages/vLine.png";
             String filename = ((args.length > 0) ? args[0] : default_file);
             File file = new File(filename);
@@ -791,18 +792,18 @@
             // Edge detection
 
-            Imgproc.adaptiveThreshold(original, edgesDetected,255, Imgproc.ADAPTIVE_THRESH_GAUSSIAN_C,Imgproc.THRESH_BINARY_INV, 15, THRESHOLD_C);
+            Imgproc.adaptiveThreshold(original, edgesDetected,255, Imgproc.ADAPTIVE_THRESH_GAUSSIAN_C,Imgproc.THRESH_BINARY_INV, 1001, THRESHOLD_C);
             //TEST PARAMETERSImgproc.adaptiveThreshold(original, edgesDetected,255, Imgproc.ADAPTIVE_THRESH_GAUSSIAN_C,Imgproc.THRESH_BINARY_INV, 531,1);
 
 
 //            //IGNORE BORDERS OF IMAGE (using crop)
-//            Imgproc.adaptiveThreshold(original, mid,255, Imgproc.ADAPTIVE_THRESH_GAUSSIAN_C,Imgproc.THRESH_BINARY_INV, 15, 2);
+//            Imgproc.adaptiveThreshold(original, mid,255, Imgproc.ADAPTIVE_THRESH_GAUSSIAN_C,Imgproc.THRESH_BINARY_INV, 1001, 2);
 //            double maxX = mid.size().width;
 //            double maxY = mid.size().height;
-//            Point cp1 = new Point(maxX/10, maxY/10);
+//            Point cp1 = new Point(maxX/5, maxY/5);
 //            Point cp2 = new Point(maxX - cp1.x, maxY -cp1.y);
 //            Rect rectCrop = new Rect(cp1, cp2);
 //            edgesDetected = mid.submat(rectCrop);
 
-
+//            System.out.println("Width: " + edgesDetected.width() + " Height: " + edgesDetected.height());
             //****************MORPHOLOGY****************************************************************************************
             //ADDIOTIONAL FILTERING TO STOP STREAKS
@@ -833,5 +834,5 @@
 
             double minLineLength = edgesDetectedRGB.size().width/8;
-
+            imwrite("houghtest-bin.jpg", edgesDetectedRGB);
             Imgproc.HoughLinesP(edgesDetected, linesP, 1, Math.PI / 720, HOUGHLINEP_THRESHOLD, minLineLength,MAXLINEGAP); // runs the actual detection
             //System.out.println("Before Gradient Filtering num lines: " + linesP.rows());
@@ -856,17 +857,21 @@
             //File filenameTest = new File("TestImages/NotSheetMusic02.png");
             //BufferedImage i = ImageIO.read(filenameTest);
-            BufferedImage toBeClassifiedImg = toBufferedImage(edgesDetectedRGB);
+            //BufferedImage toBeClassifiedImg = toBufferedImage(edgesDetectedRGB);
 
 
             //Display Results
+
+            imwrite("houghtest-lines.jpg", edgesDetectedRGB);
             //HighGui.imshow("Source", original);
             //HighGui.imshow("Just Edges", justEdges); //TESTING
 
-
-            HighGui.imshow("LINESFOUND", edgesDetectedRGB);
-            HighGui.resizeWindow("LINESFOUND", 1000,1000);
-            
-            HighGui.imshow("CLUSTERSFOUND", clustersFoundRGB);
-            HighGui.resizeWindow("CLUSTERSFOUND", 1000,1000);
+//            HighGui.namedWindow("LINESFOUND", HighGui.WINDOW_AUTOSIZE);
+//            HighGui.imshow("LINESFOUND", edgesDetectedRGB);
+//            HighGui.resizeWindow("LINESFOUND", 1000,1000);
+//
+//
+//            HighGui.imshow("CLUSTERSFOUND", clustersFoundRGB);
+//            HighGui.namedWindow("CLUSTERSFOUND", HighGui.WINDOW_AUTOSIZE);
+//            HighGui.resizeWindow("CLUSTERSFOUND", 1000,1000);
 
             //HighGui.imshow("Detected Lines (in red) - negative", edgesDetectedRGBProb);
@@ -874,5 +879,5 @@
             System.out.println("LINE COUNT RESULT:   " +  ClassifierLineCount(horizontalLineCount) + '\t' +"LinesFound: " + horizontalLineCount); //COUNT OF LINES CLASSIFICATION
             //System.out.println("LINE CLUSTER RESULT: " +  ClassifierLineClusterOLD(toBeClassifiedImg).get(0) + '\t' + "LinesFound: " + ClassifierLineClusterOLD(toBeClassifiedImg).get(1) + '\t' + "ClustersFound: " + ClassifierLineClusterOLD(toBeClassifiedImg).get(2));
-            System.out.println("NEW CLUSTER RESULTS: " +  ClassifierLineClusterPt(pointArrayList,clustersFoundRGB).get(0) + '\t' + "LinesFound: " + horizontalLineCount + '\t' + "ClustersFound: " + ClassifierLineClusterPt(pointArrayList,clustersFoundRGB).get(1));
+            //System.out.println("NEW CLUSTER RESULTS: " +  ClassifierLineClusterPt(pointArrayList,clustersFoundRGB).get(0) + '\t' + "LinesFound: " + horizontalLineCount + '\t' + "ClustersFound: " + ClassifierLineClusterPt(pointArrayList,clustersFoundRGB).get(1));
             //System.out.println(ClassifierLineClusterPt(pointArrayList, clustersFoundRGB));
 
@@ -880,5 +885,5 @@
 
             // Wait and Exit
-            HighGui.waitKey();
+            //HighGui.waitKey();
             System.exit(0);
         }
